Subject: Re: bug#40573: 27.0.90; flymake-mode broken in scratch buffer

From: João Távora <[email-masked]>
Date: Sun, 19 Apr 2020 17:31:40 +0100

On Sun, Apr 19, 2020, 14:57 Dmitry Gutov <[email-masked]> wrote:

> Whereas lisp-data files usually contain just one Lisp form.

That's a bad assumption. It just isn't true. And I don't see any difference
to elisp here, what did you have in mind?

So e.g. any
> "defun navigation" would jump between the direct children of that form.
>

There's no inherent structure to lisp data in general that supports any
kind of navigation, except maybe basic sexp navigation. There is nothing we
can parallelize to a defun. But if you know same subclass of lisp data that
does have some of those properties, we can a special major mode for it.
Doesn't have to be anything special, mind you, a couple of lines will
probably do what you might have in mind.

João